/* ========================================
 *  Console5Channel - Console5Channel.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __Console5Channel_Console5Channel_H
#define __Console5Channel_Console5Channel_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::Console5Channel {
enum {
	kParamA = 0,
  kNumParameters = 1
}; //


class Console5Channel final : public SfxCoreExtensionV1
{
public:
    Console5Channel();
    ~Console5Channel();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
	
	double lastSampleChannelL;
	double lastSampleChannelR;
	double lastFXChannelL;
	double lastFXChannelR;
	double iirCorrectL;
	double iirCorrectR;
	double gainchase;
	double settingchase;
	double chasespeed;		
	uint32_t fpdL;
	uint32_t fpdR;
	//default stuff

    float A;
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
